import { Person } from './person.js';
import { PersonRelationType } from './personRelationType.js';
export declare class PersonRelation {
    'target'?: Person;
    'targetUid'?: string;
    'type'?: PersonRelationType;
    'validFrom'?: string;
    'validTo'?: string;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
